weka.experiment

## Class PropertyNode

- java.lang.Object
- - weka.experiment.PropertyNode

- All Implemented Interfaces:
    java.io.Serializable, RevisionHandler

      public class PropertyNode
      extends java.lang.Object
      implements java.io.Serializable, RevisionHandler

  Stores information on a property of an object: the class of the object with the property; the property descriptor, and the current value.
  Version:
    $Revision: 10203 $
  Author:
    Len Trigg (trigg@cs.waikato.ac.nz)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Class<?>` | `parentClass` The class of the object with this property
    `java.beans.PropertyDescriptor` | `property` Other info about the property
    `java.lang.Object` | `value` The current property value

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyNode(java.lang.Object pValue)` Creates a mostly empty property.
    `PropertyNode(java.lang.Object pValue, java.beans.PropertyDescriptor prop, java.lang.Class<?> pClass)` Creates a fully specified property node.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getRevision()` Returns the revision string.
    `java.lang.String` | `toString()` Returns a string description of this property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### value

          public java.lang.Object value

      The current property value

    - #### parentClass

          public java.lang.Class<?> parentClass

      The class of the object with this property

    - #### property

          public java.beans.PropertyDescriptor property

      Other info about the property

  - ### Constructor Detail

    - #### PropertyNode

          public PropertyNode(java.lang.Object pValue)

      Creates a mostly empty property.
      Parameters:
        `pValue` - a property value.

    - #### PropertyNode

          public PropertyNode(java.lang.Object pValue,
                              java.beans.PropertyDescriptor prop,
                              java.lang.Class<?> pClass)

      Creates a fully specified property node.
      Parameters:
        `pValue` - the current property value.
        `prop` - the PropertyDescriptor.
        `pClass` - the Class of the object with this property.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Returns a string description of this property.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a value of type 'String'

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Returns:
        the revision